%global pypi_name loguru

Name:           python3-%{pypi_name}
Version:        0.7.3
Release:        %mkrel 1
Summary:        Python logging made simple
Group:          Development/Python
License:        MIT
URL:            https://github.com/Delgan/loguru
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz?/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(structlog)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description
This library is intended to make Python logging less painful by adding 
a bunch of useful functionalities that solve caveats of the standard 
loggers. Using logs in your application should be an automatism, 
Loguru tries to make it both pleasant and powerful

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.rst CONTRIBUTING.rst README.md



%changelog
* Mon Apr 07 2025 katnatek <katnatek> 0.7.3-1.mga10
+ Revision: 2174046
- Update to version 0.7.3

* Thu Apr 03 2025 katnatek <katnatek> 0.5.3-1.mga10
+ Revision: 2173235
- imported package python3-loguru

